
{{- define "polaris.common.labels" }}
environment: {{ (index .Values "environment") | default "None" | quote }}
service: {{ required "required for each file" .serviceName | quote }}
component: {{ index .Values "componentName" | default "None" | quote }}
componentVersion: {{ index .Values "componentVersion" | default "None" | quote }}
chart: {{ .Chart.Name | quote }}
chartVersion: {{ .Chart.Version | quote }}
{{- if eq ((index .Values "deploymentType") | default "cloud") "cloud" }}
helm.sh/chart: {{ printf "%s-%s" (default .Chart.Name "None") (default .Chart.Version "0.0.0") | quote }}
app.kubernetes.io/name: {{ .Chart.Name | quote }}
app.kubernetes.io/managed-by: {{ .Release.Service | quote }}
app.kubernetes.io/instance: {{ .Release.Name | quote }}
app.kubernetes.io/component: {{ required "required for each file" .serviceName | quote }}
app.kubernetes.io/part-of: "polaris"
{{- if (index .Values (required "required for each file" .serviceName)) }}
app.kubernetes.io/version: {{ (index .Values .serviceName).version | default "None" | quote }}
service_version: {{ (index .Values .serviceName).version | default "None" | quote }}
{{- end -}}
{{- end -}}
{{- end }}

{{- define "polaris.common.labels_v2" }}
namespace: {{ .Release.Namespace | quote }}
app: "{{ template "polaris.name" . }}{{- if .suffix }}-{{ .suffix }}{{- end }}"
chart: "{{ template "polaris.chart" . }}"
release: {{ .Release.Name | quote }}
{{- /* https://helm.sh/docs/chart_best_practices/#standard-labels */}}
"app.kubernetes.io/name": {{ template "polaris.name" . }}
"helm.sh/chart": {{ printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | quote }}
"app.kubernetes.io/managed-by": {{ .Release.Service | quote }}
"app.kubernetes.io/instance": {{ .Release.Name | quote }}
"app.kubernetes.io/version": {{ default .Chart.AppVersion "N/A" | quote }}
"app.kubernetes.io/component": {{ if .component }}{{ .component | quote }}{{- else }}"polaris"{{- end }}
"app.kubernetes.io/part-of": "polaris"
{{- end }}
