{{- define "polaris.smtp.senderemail" }}
{{ if (eq .Values.deploymentType "cloud") }}
- name: "SMTP_SENDER_EMAIL"
  value: {{ printf "Polaris Platform - %s <noreply@%s>" (required "environment must be defined" .Values.environment) ( required "rootDomain must be defined" .Values.rootDomain) | quote }}
{{ else }}
- name: "SMTP_SENDER_EMAIL"
  value: {{ printf "%s" .Values.smtp.sender_email | quote }}
{{ end }}
{{- end }}

{{- define "polaris.smtp.tls" }}
- name: "SMTP_TLS_MODE"
  value: {{ printf "%s" (index .Values "auth-server").smtp.tls_mode }}
- name: "SMTP_TLS_CHECK_SERVER_IDENTITY"
  value: {{ printf "\"%s\"" (index .Values "auth-server").smtp.tls_check_server_identity }}
- name: "SMTP_TLS_TRUSTED_HOSTS"
  {{ if (eq (index .Values "auth-server").smtp.tls_trusted_hosts "*") }}
  value: {{ printf "\"'%s'\"" (index .Values "auth-server").smtp.tls_trusted_hosts }}
  {{ else }}
  value: {{ printf "\"%s\"" (index .Values "auth-server").smtp.tls_trusted_hosts }}
  {{ end }}
{{- end }}