{{- define "polaris.newrelic.java.env" }}
{{- if .Values.newrelic.enabled }}
- name: APM_JAVA_OPTS
  value: -javaagent:/mnt/newrelic/newrelic.jar
- name: NEW_RELIC_JAVA_OPTS
  value: -javaagent:/mnt/newrelic/newrelic.jar  
- name: NEW_RELIC_APP_NAME
  value: {{ printf "%s;%s" (required "serviceName must be defined" .serviceName) (required "newrelic.appName must be defined" .Values.newrelic.appName) | quote }}
- name: NEW_RELIC_LICENSE_KEY
  valueFrom:
    secretKeyRef:
      name: {{ required "newrelic.license.secretKeyRef.name must be defined" .Values.newrelic.license.secretKeyRef.name }}
      key: {{ required "newrelic.license.secretKeyRef.key must be defined" .Values.newrelic.license.secretKeyRef.key }}
{{- end }}
{{- end }}

{{- define "polaris.newrelic.java.volume" }}
{{- if .Values.newrelic.enabled }}
- name: newrelic-java-volume
  emptyDir: {}
{{- end }}
{{- end }}

{{- define "polaris.newrelic.java.volumemount" }}
{{- if .Values.newrelic.enabled }}
- name: newrelic-java-volume
  mountPath: /mnt/newrelic
{{- end }}
{{- end }}

{{- define "polaris.newrelic.java.initcontainer" }}
{{- if .Values.newrelic.enabled }}
- name: newrelic-init
  image: "{{ .Values.newrelic.image }}:{{ .Values.newrelic.version }}"
  imagePullPolicy: {{ .Values.imagePullPolicy }}
  env:
  {{- include "polaris.newrelic.java.env" . | indent 2 }}
  volumeMounts:
  {{- include "polaris.newrelic.java.volumemount" . | indent 2 }}
{{- end }}
{{- end }}
