{{- define "newrelic.java.env" }}
{{- if .enabled }}
- name: NEW_RELIC_JAVA_OPTS
  value: -javaagent:/mnt/newrelic/newrelic.jar
- name: NEW_RELIC_APP_NAME
  value: {{ required "newrelic.appName must be defined" .appName }}
- name: NEW_RELIC_LICENSE_KEY
  valueFrom:
    secretKeyRef:
      name: {{ required "newrelic.license.secretKeyRef.name must be defined" .license.secretKeyRef.name }}
      key: {{ required "newrelic.license.secretKeyRef.key must be defined" .license.secretKeyRef.key }}
{{- end }}
{{- end }}

{{- define "newrelic.java.volume" }}
{{- if .enabled }}
- name: newrelic-java-volume
  emptyDir: {}
{{- end }}
{{- end }}

{{- define "newrelic.java.volumemount" }}
{{- if .enabled }}
- name: newrelic-java-volume
  mountPath: /mnt/newrelic
{{- end }}
{{- end }}

{{- define "newrelic.java.initcontainer" }}
{{- if .enabled }}
- name: newrelic-init
  image: "{{ .image }}:{{ .version }}"
  imagePullPolicy: {{ .imagePullPolicy }}
  env:
  {{- include "newrelic.java.env" . | indent 2 }}
  volumeMounts:
  {{- include "newrelic.java.volumemount" . | indent 2 }}
{{- end }}
{{- end }}
