
{{- define "polaris.common.environment" }}
- name: LOGGING_LEVEL
  value: {{ .Values.loggingLevel | default "INFO" | quote }}
- name: ESJC_LOGGING_LEVEL
  value: {{ .Values.esjcLoggingLevel | default "INFO" | quote }}
- name: SWIP_ENVIRONMENT_NAME
  value: {{ required "environment must be defined" .Values.environment | quote }}
- name: SWIP_ROOT_DOMAIN
  value: {{ required "rootDomain must be defined" .Values.rootDomain | quote }}
- name: SWIP_SERVICE_NAME
  value: {{ .serviceName | quote }}
- name: NAMESPACE
  valueFrom:
    fieldRef:
      fieldPath: metadata.namespace
- name: POLARIS_ENVIRONMENT_NAME
  value: {{ required "environment must be defined" .Values.environment }}
- name: POLARIS_ROOT_DOMAIN
  value: {{ required "rootDomain must be defined" .Values.rootDomain }}
- name: POLARIS_SERVICE_NAME
  value: {{ .serviceName }}
- name: KUBERNETES_NAMESPACE
  valueFrom:
    fieldRef:
      fieldPath: metadata.namespace
{{- end }}

{{- define "polaris.postgres.ssl.environment" }}
- name: "POSTGRES_SSL_MODE"
  value: {{ .Values.postgres.sslMode | quote }}
- name: "POSTGRES_SSL_CERTIFICATE_SOURCE"
  value: {{ .Values.postgres.sslCertificateSource | quote }}
- name: "POSTGRES_SSL_TRUST_STORE_PATH"
  value: {{ .Values.postgres.sslTrustStorePath | quote }}
{{- end }}
