{{- define "polaris.datadog.java.env" }}
{{- if .enabled }}
- name: APM_JAVA_OPTS
  value: -javaagent:/mnt/datadog/dd-java-agent.jar
- name: DD_SERVICE_NAME
  value: {{ required "datadog.appName must be defined" .appName }}
- name: DD_TRACE_ENABLED
  value: "true"  
- name: DD_JMXFETCH_ENABLED
  value: "true"
- name: DD_JMXFETCH_STATSD_PORT
  value: '8125'
- name: DD_TRACE_ANALYTICS_ENABLED
  value: "true"
- name: DD_AGENT_HOST
  valueFrom:
    fieldRef:
      apiVersion: v1
      fieldPath: status.hostIP
- name: DOGSTATSD_HOST_IP
  valueFrom:
    fieldRef:
      apiVersion: v1
      fieldPath: status.hostIP
- name: DD_ENTITY_ID
  valueFrom:
    fieldRef:
      apiVersion: v1
      fieldPath: metadata.uid
{{- end }}
{{- end }}

{{- define "polaris.datadog.java.volume" }}
{{- if .enabled }}
- name: datadog-java-volume
  emptyDir: {}
{{- end }}
{{- end }}

{{- define "polaris.datadog.java.volumemount" }}
{{- if .enabled }}
- name: datadog-java-volume
  mountPath: /mnt/datadog
{{- end }}
{{- end }}

{{- define "polaris.datadog.java.initcontainer" }}
{{- if .enabled }}
- name: datadog-init
  image: "{{ .image }}:{{ .version }}"
  imagePullPolicy: {{ .imagePullPolicy }}
  volumeMounts:
  {{- include "polaris.datadog.java.volumemount" . | indent 2 }}
{{- end }}
{{- end }}
