{{- define "polaris.leaderelection.container" }}
- name: "leader-election"
  env:
  - name: LEADER_ELECTOR_NAMESPACE
    valueFrom:
      fieldRef:
        fieldPath: metadata.namespace
  image: "k8s.gcr.io/leader-elector:0.5"
  imagePullPolicy: "Always"
  args:
  - {{ printf "--election=%s" (required "serviceName required for each file" .serviceName) | quote }}
  - "--election-namespace=$(LEADER_ELECTOR_NAMESPACE)"
  - "--http=0.0.0.0:4040"
  ports:
  - name: "http"
    protocol: "TCP"
    containerPort: 4040
  resources: 
    requests:
      cpu: "50m"
      memory: "50Mi"
    limits:
      cpu: "100m"
      memory: "256Mi"
{{- end }}