{{- define "polaris.eventstore.environment" }}
- name: "EVENT_STORE_NAMESPACE"
  valueFrom:
    fieldRef:
      fieldPath: metadata.namespace
- name: "EVENT_STORE_ADDR"
  value: "eventstore.$(EVENT_STORE_NAMESPACE).svc.cluster.local"
{{- end }}

{{- define "polaris.eventstore.user.environment" }}
- name: {{ printf "EVENT_STORE_%s_USERNAME" ((required "eventstore_role needs to be specified" .eventstore_role) | upper) | quote }}
  value: {{ (required "eventstore_role needs to be specified" .eventstore_role) | quote }}
- name: {{ printf "EVENT_STORE_%s_PASSWORD" ((required "eventstore_role needs to be specified" .eventstore_role) | upper) | quote }}
  valueFrom:
    secretKeyRef:
      name: {{ printf "swip-eventstore-%s-creds" (required "eventstore_role needs to be specified" .eventstore_role) }}
      key: "password"
{{- end }}