# SET UP
# set environ - $ export TLSOUT_CRT=<certificate>
# set environ - $ export TLSOUT_KEY=<key>

# cd polaris-helmchart-reporting
mkdir repos
pushd repos
​
git clone git@sig-gitlab.internal.synopsys.com:clops/polaris-helmchart-reporting.git
pushd polaris-helmchart-reporting
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:clops/polaris-helmcharts-postgres.git
pushd polaris-helmcharts-postgres
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:clops/polaris-helmchart-eventstore.git
pushd polaris-helmchart-eventstore
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:clops/polaris-helmchart-vault.git
pushd polaris-helmchart-vault
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:clops/polaris-helmcharts-common.git
pushd polaris-helmcharts-common
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:swip/auth-service.git
pushd auth-service
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:reporting-platform/rp-frontend.git
pushd rp-frontend
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:reporting-platform/rp-helmcharts-common.git
pushd rp-helmcharts-common
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:reporting-platform/rp-issue-manager.git
pushd rp-issue-manager
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:reporting-platform/rp-polaris-agent-service.git
pushd rp-polaris-agent-service
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:reporting-platform/rp-portfolio-service.git
pushd rp-portfolio-service
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:reporting-platform/rp-report-service.git
pushd rp-report-service
git checkout onprem-support
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:reporting-platform/rp-swagger-doc.git
pushd rp-swagger-doc
git checkout master
git pull
popd
​
git clone git@sig-gitlab.internal.synopsys.com:reporting-platform/rp-tools-portfolio-service.git
pushd rp-tools-portfolio-service
git checkout master
git pull
popd

popd
mkdir charts
pushd charts
cp -pr ../repos/polaris-helmcharts-postgres/charts/postgres .
cp -pr ../repos/polaris-helmchart-eventstore/charts/eventstore .
cp -pr ../repos/polaris-helmchart-vault/charts/vault .
cp -pr ../repos/polaris-helmcharts-common/charts/polaris-helmcharts-common .
cp -pr ../repos/auth-service/charts/onprem-auth-service .
cp -pr ../repos/rp-frontend/charts/rp-frontend .
cp -pr ../repos/rp-helmcharts-common/charts/rp-helmcharts-common .
cp -pr ../repos/rp-issue-manager/charts/rp-issue-manager-service .
cp -pr ../repos/rp-polaris-agent-service/charts/rp-polaris-agent-service .
cp -pr ../repos/rp-portfolio-service/charts/rp-portfolio-service .
cp -pr ../repos/rp-report-service/charts/rp-storage-service .
cp -pr ../repos/rp-swagger-doc/charts/rp-swagger-doc-service .
cp -pr ../repos/rp-tools-portfolio-service/charts/rp-tools-portfolio-service .
popd

kubectl create ns reporting
kubectl create secret tls -n reporting polaris-reporting-ingress-tls --cert="$TLSOUT_CRT" --key="$TLSOUT_KEY"